package org.springblade.estate.feign;

import org.springblade.estate.entity.ParkingSpace;
import org.springblade.estate.vo.ParkingSpaceVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ParkingSpaceClientFallback implements IParkingSpaceClient {
            /**
         * 详情
         */
        @Override
        public ParkingSpaceVO detail(ParkingSpace parkingSpace) {
            return null;
        }

        /**
         * 查询 车位信息
         */
        @Override
        public List<ParkingSpaceVO> list(ParkingSpace parkingSpace) {
            return null;
        }

    

        /**
         * 新增 车位信息
         */
        @Override
        public boolean save( ParkingSpace parkingSpace) {
            return false;
        }

        /**
         * 修改 车位信息
         */
        @Override
        public boolean update( ParkingSpace parkingSpace) {
            return false;
        }

        /**
         * 新增或修改 车位信息
         */
        @Override
        public boolean submit( ParkingSpace parkingSpace) {
            return false;
        }

    
        /**
         * 删除 车位信息
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
